Up

# NSPrintPanel

### Authors

Adam Fedor (`fedor@gnu.org`)
Chad Hardin (`cehardin@mac.com`)

> Standard panel for querying user about printing.

Copyright: (C) 2001,2004 Free Software Foundation, Inc.

### Contents -

1. Class
2. Software documentation for the NSPrintPanel(Private) category

# Class Description

NSPrintPanel provides a standard print panel allowing the user to specify information about how a document is to be printed, including the page range, number of copies and scale of the document. It also allows the user to save the document to a file or preview it. When a print: message is sent to an NSView or NSWindow, an NSPrintOpertation is created which manages printing of a view. The NSPrintOperation object would by default show a print panel in a modal loop for the user. You can avoid showing the print panel by sending the setShowsPanels: message in the print operation with a `NO` argument.

## NSPrintPanel : NSPanel

> Declared in:
>   AppKit/NSPrintPanel.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -_getSavePath
- -_setStatusStringValue:
- +printPanel
- -accessoryView
- -beginSheetWithPrintInfo:modalForWindow:delegate:didEndSelector:contextInfo:
- -finalWritePrintInfo
- -pickedAllPages:
- -pickedButton:
- -pickedLayoutList:
- -runModal
- -setAccessoryView:
- -updateFromPrintInfo

### printPanel

+ (NSPrintPanel*) printPanel;
Availability: OpenStep
Creates (if needed) and returns a shared instance of the NSPrintPanel panel.

### accessoryView

- (NSView*) accessoryView;
Availability: OpenStep

Returns the accessory view for the print panel

See Also: -setAccessoryView:

### beginSheetWithPrintInfo: modalForWindow: delegate: didEndSelector: contextInfo:

- (void) beginSheetWithPrintInfo: (NSPrintInfo*)printInfo modalForWindow: (NSWindow*)docWindow delegate: (id)delegate didEndSelector: (SEL)didEndSelector contextInfo: (void*)contextInfo;
Availability: MacOS-X 10.0.0
Description forthcoming.

### finalWritePrintInfo

- (void) finalWritePrintInfo;
Availability: OpenStep
Saves information set by the user in the receiver's panel in the NSPrintInfo object from the current NSPrintOperation.

### pickedAllPages:

- (void) pickedAllPages: (id)sender;
Availability: OpenStep
This method has been depreciated. It doesn't do anything useful.

### pickedButton:

- (void) pickedButton: (id)sender;
Availability: OpenStep
This method has been depreciated. It doesn't do anything useful.

### pickedLayoutList:

- (void) pickedLayoutList: (id)sender;
Availability: OpenStep
This method has been depreciated. It doesn't do anything useful.

### runModal

- (int) runModal;
Availability: OpenStep
Display the Print panel in a modal loop. Saves any aquired information in the NSPrintInfo object for the current NSPrintOperation. Returns NSCancelButton if the user clicks the Cancel button or NSOKButton otherwise. Unlike other panels, this one does not order itself out after the modal session is finished. You must do that yourself.

### setAccessoryView:

- (void) setAccessoryView: (NSView*)aView;
Availability: OpenStep

Sets the accessory view for the print panel to aView

See Also: -accessoryView

### updateFromPrintInfo

- (void) updateFromPrintInfo;
Availability: OpenStep
Setup the display in the receiver's panel based on the values stored in the NSPrintInfo object from the current NSPrintOperation.

## Instance Variables for NSPrintPanel Class

### _accessoryView

@protected id _accessoryView;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _optionPanel

@protected id _optionPanel;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _pages

@protected NSRange _pages;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _panel

@protected id _panel;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _picked

@protected int _picked;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _savePath

@protected id _savePath;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSPrintPanel(Private) category

## NSPrintPanel(Private)

> Declared in:
>   AppKit/NSPrintPanel.h

Availability: OpenStep
Warning this category is private, which means that the methods are for internal use by the package. You should not use them in external code.
Method summary

- -_getSavePath
- -_setStatusStringValue:

### _getSavePath

- (BOOL) _getSavePath;
Availability: OpenStep
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _setStatusStringValue:

- (void) _setStatusStringValue: (NSString*)string;
Availability: OpenStep
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

Up